//	$Id$
//	AGL(C)
//
#ifndef A_STDIO_H
#define A_STDIO_H
#include <stdio.h>
#define H 64000
int	a_print(char	*, int=H, FILE *fp=stdout);
char	*agets(char *, int psize, FILE *fp=stdin);
int	aputc(char, FILE *);
//#define anprint a_print
inline	int	anprint(char *str, int psize, FILE *fp)
{
	if(fwrite(str,psize,1,fp)!=1)	return 0;
	return	1;
}
int	do_null(),do_k2a(),do_a2k(),do_strip8(),do_enc(int=H),doienc(int=H);
int	doinull(),doia2k();
int	a_spawn(char	*argv[], char *f_stdin=0, char *f_stdout=0,
		char *f_stderr=0);
struct	ARc {
	int	locale,
		encoding,
		i_encoding;
public: ARc()	{	locale=0; encoding=0; i_encoding=0; }
};
extern	ARc arc;
#endif
//	EOF $Id$
